curl --request POST \
--url https://api.tagdeliver.com/v1/ad-stack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"ad_demand": {
"bidderTimeout": 50,
"syncDelay": 1000,
"priceGranularity": "dense",
"useBidCache": true,
"enableTIDs": false,
"s2sConfig": {
"timeout": 1000
},
"throttling": {
"thresholdType": "count",
"thresholdValue": 3,
"actions": {
"actionTarget": "page_view"
},
"scope": "ad_unit",
"filter": {
"type": "include",
"list": []
},
"enabled": true
}
},
"ad_server/2": {
"ad_unit": "jamiedruce.io__2",
"mcm": "5568767400"
},
"fallback/676": {
"weight": 1
},
"fallback/760": {
"weight": 1
}
},
"name": "Jamies Ad Stack",
"stack": [
{
"id": 2,
"type": "ad_server"
},
{
"id": 676,
"type": "fallback"
},
{
"id": 760,
"type": "fallback"
},
{
"id": 838,
"type": "ad_tech"
},
{
"id": 839,
"type": "ad_tech"
}
]
}
'{
"results": {
"id": 815
},
"success": true
}Creates a new ad stack. Call the /v1/integration?target=ad_stack endpoint to find available integrations, and call the /v1/integration/{id}/stack-schema endpoint to find the field requirements for each integration.
curl --request POST \
--url https://api.tagdeliver.com/v1/ad-stack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"ad_demand": {
"bidderTimeout": 50,
"syncDelay": 1000,
"priceGranularity": "dense",
"useBidCache": true,
"enableTIDs": false,
"s2sConfig": {
"timeout": 1000
},
"throttling": {
"thresholdType": "count",
"thresholdValue": 3,
"actions": {
"actionTarget": "page_view"
},
"scope": "ad_unit",
"filter": {
"type": "include",
"list": []
},
"enabled": true
}
},
"ad_server/2": {
"ad_unit": "jamiedruce.io__2",
"mcm": "5568767400"
},
"fallback/676": {
"weight": 1
},
"fallback/760": {
"weight": 1
}
},
"name": "Jamies Ad Stack",
"stack": [
{
"id": 2,
"type": "ad_server"
},
{
"id": 676,
"type": "fallback"
},
{
"id": 760,
"type": "fallback"
},
{
"id": 838,
"type": "ad_tech"
},
{
"id": 839,
"type": "ad_tech"
}
]
}
'{
"results": {
"id": 815
},
"success": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Publisher ID
Was this page helpful?